	SUBROUTINE DELAY(DELAY_TIME)
C
C  Note:  This is the UNIX version
C
C       This subroutine delays execution by an amount of time
C  in seconds given by TIME.
C
C			Donald H. Gudehus, September, 1994
C
	REAL TIMEARRAY(2)
C
	START_TIME=DTIME(TIMEARRAY)
	ACCUMULATED_TIME=0.0
	DO WHILE(ACCUMULATED_TIME.LT.DELAY_TIME)
	  ACCUMULATED_TIME=ACCUMULATED_TIME+DTIME(TIMEARRAY)
	END DO
	RETURN
	END
